MDVA-38526: Admin-gebruiker heeft geen toegang tot SWAT-gereedschap

Met de MDVA-38526-patch wordt het probleem opgelost waarbij de beheerder geen toegang heeft tot het SWAT-gereedschap. Dit flard is beschikbaar wanneer het Hulpmiddel van de Patches van de Kwaliteit (QPT)1.1.9 geïnstalleerd is. De patch-id is MDVA-38526. Het probleem wordt volgens de planning opgelost in Adobe Commerce 2.4.4.

Betrokken producten en versies

het flard wordt gecreeerd voor de versie van Adobe Commerce:

  • Adobe Commerce (alle implementatiemethoden) 2.4.1-p1

Compatibel met de versies van Adobe Commerce:

  • Adobe Commerce (alle implementatiemethoden) 2.4.1 - 2.4.3-p1
NOTE
De patch kan van toepassing worden op andere versies met nieuwe versies van het Hulpprogramma voor kwaliteitspatches. Om te controleren of de patch compatibel is met uw Adobe Commerce-versie, werkt u het magento/quality-patches -pakket bij naar de meest recente versie en controleert u de compatibiliteit op de Quality Patches Tool : zoek naar patches op de pagina. Gebruik de patch-id als een zoekwoord om de patch te zoeken.

Probleem

De beheerder heeft geen toegang tot het SWAT-gereedschap.

Stappen om te reproduceren:

Probeer ../swat/key/index te bereiken

Verwachte resultaten :

  1. ../swat/key/index returns 200.
  2. De admin-gebruiker heeft toegang tot SWAT.

Ware resultaten :

500 Fout wordt teweeggebracht met het volgende foutenlogboek: Onbekwaam om waarde ongedaan te maken. Fout: Syntaxisfout.

De patch toepassen

Om individuele flarden toe te passen, gebruik de volgende verbindingen afhankelijk van uw plaatsingsmethode:

Gerelateerde lezing

Raadpleeg voor meer informatie over het gereedschap Kwaliteitspatches:

Voor info over andere flarden beschikbaar in QPT, verwijs naar die flarden beschikbaar in QPTin onze ontwikkelaarsdocumentatie.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a